# Uses of Interface
org.apache.lucene.benchmark.quality.Judge

Packages that use Judge
Package
Description
org.apache.lucene.benchmark.quality
Search Quality Benchmarking.
org.apache.lucene.benchmark.quality.trec
Utilities for Trec related quality benchmarking, feeding from Trec Topics and QRels inputs.

- ## Uses of Judge in org.apache.lucene.benchmark.quality

  Methods in org.apache.lucene.benchmark.quality with parameters of type Judge
  Modifier and Type
  Method
  Description
  `QualityStats[]`
  QualityBenchmark.`execute(Judge judge, SubmissionReport submitRep, PrintWriter qualityLog)`
  Run the quality benchmark.

- ## Uses of Judge in org.apache.lucene.benchmark.quality.trec

  Classes in org.apache.lucene.benchmark.quality.trec that implement Judge
  Modifier and Type
  Class
  Description
  `class`
  `TrecJudge`
  Judge if given document is relevant to given quality query, based on Trec format for judgements.